Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization.target
Class UserForPersonalization

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
          org.esupportail.portal.channels.CStockage.userManagement.User
              org.esupportail.portal.channels.CStockage.spacesPersonalization.target.UserForPersonalization

public class UserForPersonalization
extends User

Id: UserForPersonalization.java,v 1.0 7 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: UserForPersonalization Original Author: Yohan Colmant Represents a user for the management during the personalization

Constructor Summary
`UserForPersonalization()` Default constructor
`UserForPersonalization(org.esupportail.portal.channels.CAnnuaire.Personne pers)` Constructor
`UserForPersonalization(java.lang.String key)` Constructor
`UserForPersonalization(java.lang.String key, java.lang.String displayName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`boolean` | `equals(java.lang.Object o)` Compare this object to another one
`Personalization` | `getPersonalization()`
`java.lang.String` | `toString()` Return a String from this user

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
`getDisplayName, getKey, setDisplayName, setKey`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserForPersonalization

    public UserForPersonalization()

  Default constructor

### UserForPersonalization

    public UserForPersonalization(java.lang.String key,
                                  java.lang.String displayName)

  Constructor

Parameters:
  `key` - The key
  `displayName` - The displayed user name

### UserForPersonalization

    public UserForPersonalization(java.lang.String key)
                           throws PropertiesException

  Constructor

Parameters:
  `key` - The key

### UserForPersonalization

    public UserForPersonalization(org.esupportail.portal.channels.CAnnuaire.Personne pers)
                           throws PropertiesException

  Constructor

Parameters:
  `pers` - The retrieved people

Method Detail

### getPersonalization

    public Personalization getPersonalization()

  Returns:
    Returns the personalization.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Overrides:
    `clone` in class `User`
  Returns:
    this cloned object

### equals

    public boolean equals(java.lang.Object o)

  Compare this object to another one

  Overrides:
    `equals` in class `AbstractUser`
  Parameters:
    `o` - the object to compare
  Returns:
    true if equals, false else

### toString

    public java.lang.String toString()

  Return a String from this user

  Overrides:
    `toString` in class `User`
  Returns:
    a String from this user

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD